DeploymentsOperations Class
DeploymentsOperations operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectDeploymentsOperations
Constructor
DeploymentsOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| begin_create_or_update |
Create a named template deployment using a template. |
| begin_delete |
Delete deployment. |
| calculate_template_hash |
Calculate the hash of the given template. |
| cancel |
Cancel a currently running template deployment. |
| check_existence |
Checks whether deployment exists. |
| export_template |
Exports a deployment template. |
| get |
Get a deployment. |
| list |
Get a list of deployments. |
| validate |
Validate a deployment template. |
begin_create_or_update
Create a named template deployment using a template.
begin_create_or_update(resource_group_name: str, deployment_name: str, parameters: azure.mgmt.resource.resources.v2016_02_01.models._models_py3.Deployment, **kwargs: Any) -> azure.core.polling._poller.LROPoller[azure.mgmt.resource.resources.v2016_02_01.models._models_py3.DeploymentExtended]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
By default, your polling method will be ARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either DeploymentExtended or the result of cls(response)
Return type
Exceptions
begin_delete
Delete deployment.
begin_delete(resource_group_name: str, deployment_name: str, **kwargs: Any) -> azure.core.polling._poller.LROPoller[None]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
By default, your polling method will be ARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either None or the result of cls(response)
Return type
Exceptions
calculate_template_hash
Calculate the hash of the given template.
calculate_template_hash(template: Any, **kwargs: Any) -> azure.mgmt.resource.resources.v2016_02_01.models._models_py3.TemplateHashResult
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
TemplateHashResult, or the result of cls(response)
Return type
Exceptions
cancel
Cancel a currently running template deployment.
cancel(resource_group_name: str, deployment_name: str, **kwargs: Any) -> None
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
None, or the result of cls(response)
Return type
Exceptions
check_existence
Checks whether deployment exists.
check_existence(resource_group_name: str, deployment_name: str, **kwargs: Any) -> bool
Parameters
- resource_group_name
- str
The name of the resource group to check. The name is case insensitive.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
bool, or the result of cls(response)
Return type
Exceptions
export_template
Exports a deployment template.
export_template(resource_group_name: str, deployment_name: str, **kwargs: Any) -> azure.mgmt.resource.resources.v2016_02_01.models._models_py3.DeploymentExportResult
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
DeploymentExportResult, or the result of cls(response)
Return type
Exceptions
get
Get a deployment.
get(resource_group_name: str, deployment_name: str, **kwargs: Any) -> azure.mgmt.resource.resources.v2016_02_01.models._models_py3.DeploymentExtended
Parameters
- resource_group_name
- str
The name of the resource group to get. The name is case insensitive.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
DeploymentExtended, or the result of cls(response)
Return type
Exceptions
list
Get a list of deployments.
list(resource_group_name: str, filter: Optional[str] = None, top: Optional[int] = None, **kwargs: Any) -> Iterable[azure.mgmt.resource.resources.v2016_02_01.models._models_py3.DeploymentListResult]
Parameters
- resource_group_name
- str
The name of the resource group to filter by. The name is case insensitive.
- top
- int
Query parameters. If null is passed returns all deployments. Default value is None.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either DeploymentListResult or the result of cls(response)
Return type
Exceptions
validate
Validate a deployment template.
validate(resource_group_name: str, deployment_name: str, parameters: azure.mgmt.resource.resources.v2016_02_01.models._models_py3.Deployment, **kwargs: Any) -> azure.mgmt.resource.resources.v2016_02_01.models._models_py3.DeploymentValidateResult
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
DeploymentValidateResult, or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.resource.resources.v2016_02_01.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\resource\\resources\\v2016_02_01\\models\\__init__.py'>
Feedback
Submit and view feedback for